Get Stake Rewards
curl --request GET \
--url https://tokens.shakesco.com/stake-rewards \
--header 'Authorization: Bearer <token>'import requests
url = "https://tokens.shakesco.com/stake-rewards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://tokens.shakesco.com/stake-rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{ "rewards": "1.5" }
Staking
Get Stake Rewards
Read the rewards a stake has accrued so far
GET
/
stake-rewards
Get Stake Rewards
For the complete documentation index, see llms.txt.
Returns the rewards that have accrued on a specific stake up to right now. This is the amount that would be paid out if the customer unstaked immediately. Returns
"0" if the stake has already been unstaked or doesn’t exist.
Query Parameters
Your unique identifier for this customer
0-based index of the stake position
Response
Accrued reward tokens (decimal string)
const res = await fetch(
"https://tokens.shakesco.com/stake-rewards?customer_ref=customer-123&stake_index=0",
{ headers: { Authorization: `Bearer ${API_KEY}` } }
);
const { rewards } = await res.json();
{ "rewards": "1.5" }
⌘I